Show / Hide Table of Contents

# Enum PremiumType

Specifies the type of subscription a user is subscribed to.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public enum PremiumType

### Fields

Name | Description
--- | ---
Nitro | Nitro subscription. Includes app perks as well as the games subscription service.
NitroClassic | Nitro Classic subscription. Includes app perks like animated emojis and avatars, but not games.
None | No subscription.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()